# class Puppet::Parser::AST::Tag

The code associated with a class. This is different from components in that each class is a singleton – only one will exist for a given node.

### Attributes

type[RW]

### Public Instance Methods

evaluate(scope) click to toggle source

    # File lib/puppet/parser/ast/tag.rb, line 11
    def evaluate(scope)
      types = @type.safeevaluate(scope)

      types = [types] unless types.is_a? Array

      types.each do |type|
        # Now set our class.  We don't have to worry about checking
        # whether we've been evaluated because we're not evaluating
        # any code.
        scope.setclass(self.object_id, type)
      end
    end